# Uses of Interface
java.sql.CallableStatement

Packages that use CallableStatement
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

## Uses of CallableStatement in java.sql

Methods in java.sql that return CallableStatement
Modifier and Type
Method
Description
`CallableStatement`
Connection.`prepareCall(String sql)`
Creates a `CallableStatement` object for calling database stored procedures.
`CallableStatement`
Connection.`prepareCall(String sql, int resultSetType, int resultSetConcurrency)`
Creates a `CallableStatement` object that will generate `ResultSet` objects with the given type and concurrency.
`CallableStatement`
Connection.`prepareCall(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Creates a `CallableStatement` object that will generate `ResultSet` objects with the given type and concurrency.